package com.bonus.material.basic.service;

import java.util.List;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.basic.domain.BmUnit;

/**
 * 往来单位管理Service接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface IBmUnitService 
{
    /**
     * 查询往来单位管理
     * 
     * @param unitId 往来单位管理主键
     * @return 往来单位管理
     */
    public BmUnit selectBmUnitByUnitId(Long unitId);

    /**
     * 查询往来单位管理列表
     * 
     * @param bmUnit 往来单位管理
     * @return 往来单位管理集合
     */
    public List<BmUnit> selectBmUnitList(BmUnit bmUnit);

    /**
     * 新增往来单位管理
     * 
     * @param bmUnit 往来单位管理
     * @return 结果
     */
    public AjaxResult insertBmUnit(BmUnit bmUnit);

    /**
     * 修改往来单位管理
     * 
     * @param bmUnit 往来单位管理
     * @return 结果
     */
    public AjaxResult updateBmUnit(BmUnit bmUnit);

    /**
     * 批量删除往来单位管理
     * 
     * @param unitIds 需要删除的往来单位管理主键集合
     * @return 结果
     */
    public AjaxResult deleteBmUnitByUnitIds(Long[] unitIds);

    /**
     * 删除往来单位管理信息
     * 
     * @param unitId 往来单位管理主键
     * @return 结果
     */
    public AjaxResult deleteBmUnitByUnitId(Long unitId);
}
